From e1390e21d6fcfa97838bdaff968d9cfb26261065 Mon Sep 17 00:00:00 2001
From: Tavian Barnes <tavianator@tavianator.com>
Date: Mon, 23 Oct 2023 13:46:52 -0400
Subject: tests/bfs/help: Fix exit status

---
 tests/bfs/help.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

(limited to 'tests/bfs')

diff --git a/tests/bfs/help.sh b/tests/bfs/help.sh
index ec53867..5029c7e 100644
--- a/tests/bfs/help.sh
+++ b/tests/bfs/help.sh
@@ -1,4 +1,4 @@
-invoke_bfs -help | grep -E '\{...?\}' && fail
-invoke_bfs -D help | grep -E '\{...?\}' && fail
-invoke_bfs -S help | grep -E '\{...?\}' && fail
-invoke_bfs -regextype help | grep -E '\{...?\}' && fail
+! invoke_bfs -help | grep -E '\{...?\}' || fail
+! invoke_bfs -D help | grep -E '\{...?\}' || fail
+! invoke_bfs -S help | grep -E '\{...?\}' || fail
+! invoke_bfs -regextype help | grep -E '\{...?\}' || fail
-- 
cgit v1.2.3